local A = select(2, ...);
local C = A.Constants;

local LOC = {

    ["Looking for group mode"] = "Режим поиска группы",
    ["Looking for member mode"] = "Режим поиска участников",
    ["N"] = "О",
    ["H"] = "Г",
    ["Normal"] = "Обычный",
    ["Heroic"] = "Героический",
    
    ["lfm"] = "Собираю",
    ["lfg"] = "Ищу",
    
    ["Send Request"] = "Отправить запрос",

    ["Select dungeon"] = "Выберите подземелье",
    ["Not Specified"] = "Не указано",


    tank = "ТАНК", 
    heal = "ХИЛ", 
    dd = "ДД", 
    mdd = "МДД", 
    rdd = "РДД",

    Send = "Отправить",
    Whisper = "Шепнуть",
    Invite = "Пригласить",
    Close = "Закрыть",
    Dungeons = "Подземелья",
    Addon = "Эра",
    Mode = "Режим",
    
    Change = "Изменить",
    ["Edit note"] = "Изменение заметки",
    ["Specify your role"] = "Укажите свою роль",
    ["Your role"] = "Ваша роль",
    ["Your note"] = "Заметка",

    Options = "Опции",
    Roles = "Роли",
    ["Unselect dungeon"] = "Отменить выбор",
    ["Dungeon not selected"] = "Подземелье не выбрано",
    ["Edit dungeon options"] = "Изменение опций подземелья",

    ["Show dungeons"] = "Показывать подземелья",
    ["From my LFG list only"] = "Только из моего списка LFG",
    ["Show quests"] = "Показывать задания",
    ["Show undetected"] = "Показывать не распознанные записи",
    ["Setup filters"] = "Настроить фильтры",
    ["Left Click"] = "ЛКМ",
    ["Right Click"] = "ПКМ",
    ["Send invite to player"] = "Отправить игроку приглашение в группу",
    ["Send whisper to player"] = "Отправить игроку сообщение",
    ["Show Tabu-Lfg Companion"] = "Показывать компаньон",
    ["Autoshow Tabu-Lfg Companion on login"] = "Автоматически показывать Компаньон при входе",
    ["Classic dungeons"] = "Classic: Подземелья",
    ["Classic raids"] = "Classic: Рейды",
    ["BC normal dungeons"] = "BC: Нормальные подземелья",
    ["BC heroic dungeons"] = "BC: Героические подземелья",
    ["BC raids"] = "BC: Рейды",

    Ragefire = "ОгненнаяПропасть",
    WailingCaverns = "ПещерыСтенаний",
    TheDeadmines = "МертвыеКопи",
    ShadowfangKeep = "КрепостьТемногоКлыка",
    BlackfathomDeeps = "НепрогляднаяПучина",
    TheStockade = "Тюрьма",
    Gnomeregan = "Гномреган",
    RazorfenKraul = "ЛабиринтыИглошкурых",
    ScarletMonasteryGraveyard = "МАОКладбище",
    ScarletMonasteryLibrary = "МАОБиблиотека",
    ScarletMonasteryArmory = "МАООружейная",
    ScarletMonasteryCathedral = "МАОСобор",
    RazorfenDowns = "КурганыИглошкурых",
    Uldaman = "Ульдаман",
    ZulFarrak = "ЗулФарак",
    Maraudon = "Мародон",
    TheTempleOfAtalHakkar = "ХрамАталХаккара",
    BlackrockDepths = "ГлубиныЧернойГоры",
    LowerBlackrockSpire = "ВершинаЧернойГорыНиз",
    DireMaulEast = "ЗабытыйГородВосток",
    DireMaulWest = "ЗабытыйГородЗапад",
    DireMaulNorth = "ЗабытыйГородСевер",
    Scholomance = "Некроситет",
    Stratholme = "Стратхольм",

    UpperBlackrockSpire = "ВершинаЧернойГорыВерх",

    ZulGurub = "ЗулГуруб",
    TheRuinsofAhnQiraj = "РуиныАнКиража",

    MoltenCore = "ОгненныеНедра",
    Onyxia = "Ониксия",
    BlackwingLair = "ЛоговоКрылаТьмы",
    TheTempleofAhnQiraj = "ХрамАнКиража",
    Naxxramas = "Наксрамас",


    HellfireRamparts = "БастионыАдскогоПламени",
    TheBloodFurnace = "КузняКрови",
    TheShatteredHalls = "РазрушенныеЗалы",
    ManaTombs = "ГробницыМаны",
    AuchenaiCrypts = "АукенайскиеГробницы",
    SethekkHalls = "СетеккскиеЗалы",
    ShadowLabyrinth = "ТемныйЛабиринт",
    TheSlavePens = "Узилище",
    TheUnderbog = "Нижетопь",
    TheSteamvault = "Паровое",
    OldHillsbradFoothills = "СтарыеПредгорьяХилсбрада",
    TheBlackMorass = "ЧерныеТопи",
    TheArcatraz = "Аркатраз",
    TheBotanica = "Ботаника",
    TheMechanar = "Механар",
    MagistersTerrace = "ТеррасаМагистров",


    Karazhan = "Каражан",
    ZulAman = "ЗулАман",

    MagtheridonsLair = "ЛоговоМагтеридона",
    GruulsLair = "ЛоговоГруула",
    SerpentshrineCavern = "ЗмеиноеСвятилище",
    TempestKeep = "КрепостьБурь",
    HyjalSummit = "Хиджал",
    BlackTemple = "ЧерныйХрам",
    SunwellPlateau = "ПлатоСолнечногоКолодца",

    ["Shorts.Types.Lfg"] = { "схожу", "ищет" },
    ["Shorts.Types.Lfm"] = { "нужен", "нужны", "ищем", "нид" },
    
    ["Shorts.Modes.Normal"] = { "об", "обыч", "обычка" },
    ["Shorts.Modes.Heroic"] = { "гер",  "героик" },

    ["Shorts.Roles.heal"] = { "хилл" },

    ["Shorts.Dungeons"] = {

        Ragefire = {},
        WailingCaverns = {},
        TheDeadmines = {},
        ShadowfangKeep = { "ктк" },
        BlackfathomDeeps = { "непроглядная пучина", "непроглядную пучину" },
        TheStockade = {},
        Gnomeregan = {},
        RazorfenKraul = { "лабиринт иглошкурых" },
        ScarletMonasteryGraveyard = { "мао кладбон" },
        ScarletMonasteryLibrary = { "мао библ", "мао библа", "мао библиотека" },
        ScarletMonasteryArmory = { "мао оружейка" },
        ScarletMonasteryCathedral = { "мао собор" },
        RazorfenDowns = {},
        Uldaman = { "ульда", "ульду" },
        ZulFarrak = { "зф" },
        Maraudon = { "мара", "маоу" },
        TheTempleOfAtalHakkar = {},
        BlackrockDepths = { "гчг", "брд" },
        LowerBlackrockSpire = { "лбрс" },
        DireMaulEast = { "забытый город восток" },
        DireMaulWest = {"забытый город запад"},
        DireMaulNorth = { "забытый город север" },
        Scholomance = { "шоло", "некро" },
        Stratholme = { "страт" },

        UpperBlackrockSpire = { "убрс" },

        ZulGurub = { "зг" },
        TheRuinsofAhnQiraj = { "аку20" },
    

        MoltenCore = {},
        Onyxia = {},
        BlackwingLair = {},
        TheTempleofAhnQiraj = {},
        Naxxramas = {},
    

        HellfireRamparts = { "бастион", "бастионы", "бап" },
        TheBloodFurnace = { "кузня", "кузню" },
        TheShatteredHalls = { "разрушеные залы" },
        ManaTombs = { "мана томб", "манатомбы", "манатомб", "гробница маны" },
        AuchenaiCrypts = { "аукенайские" },
        SethekkHalls = { "сетек", "сеттек", "сетекк", "сетекские залы", "сетеккские залы", "сеттекские залы" },
        ShadowLabyrinth = { "ШЛ", "темный лабиринт", "тёмный лабиринт", "темные лабиринты", "темный лаберинт", "тёмный лаберинт" },
        TheSlavePens = {},
        TheUnderbog = {},
        TheSteamvault = { "паравое", "паровое" },
        OldHillsbradFoothills = { "хилсбрад" },
        TheBlackMorass = { "чёрныетопи", "топи", "черныйтопи" },
        TheArcatraz = { "аркатрац", "арка", "арку", "алькатрац", "алькатраз" },
        TheBotanica = { "ботанику" },
        TheMechanar = {},
        MagistersTerrace = {},

        Karazhan = { "кара", "кару" },
        ZulAman = {},

        MagtheridonsLair = {},
        GruulsLair = { "груул" },
        SerpentshrineCavern = {},
        TempestKeep = {},
        HyjalSummit = {},
        BlackTemple = {},
        SunwellPlateau = {},

    },

    ["Shorts.Ignore"] = {
        "череп", "крест", "квадрат","треугольник","алмаз","круг"
    },
}



A.Localize.Locales.ruRU = LOC;
--A.Localize.Shorts.ruRU = SHORTS


